com.fasterxml.jackson.databind.ser.impl

## Class MapEntryAsPOJOSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<Map.Entry<?,?>>
    - - com.fasterxml.jackson.databind.ser.impl.MapEntryAsPOJOSerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware, Serializable

    public class MapEntryAsPOJOSerializer
    extends StdSerializer<Map.Entry<?,?>>

Serializer used to serialize Map.Entry as POJOs: that is, as if introspected as POJOs so that there's intermediate "key" and "value" properties.

TODO: does not fully handle contextualization, type resolution and so on.

Since:
  2.19
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`protected` `MapEntryAsPOJOSerializer(JavaType type)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MapEntryAsPOJOSerializer` `create(SerializerProvider ctxt, JavaType type)`
`void` `serialize(Map.Entry<?,?> value, JsonGenerator gen, SerializerProvider ctxt)` Method that can be called to ask implementation to serialize values of type this serializer handles.

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapEntryAsPOJOSerializer

    protected MapEntryAsPOJOSerializer(JavaType type)

### Method Detail

#### create

    public static MapEntryAsPOJOSerializer create(SerializerProvider ctxt,
                                                  JavaType type)

#### serialize

    public void serialize(Map.Entry<?,?> value,
                          JsonGenerator gen,
                          SerializerProvider ctxt)
                   throws IOException

Description copied from class: `JsonSerializer`
Method that can be called to ask implementation to serialize values of type this serializer handles.

Specified by:
  `serialize` in class `StdSerializer<Map.Entry<?,?>>`
Parameters:
  `value` - Value to serialize; can not be null.
  `gen` - Generator used to output resulting Json content
  `ctxt` - Provider that can be used to get serializers for serializing Objects value contains, if any.
Throws:
  `IOException`